﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CourseTopics.ascx.cs"
    Inherits="acmesoft.web.ascx.CourseTopics" %>
<%@ Register Assembly="obout_Combobox_NET" Namespace="OboutInc.Combobox" TagPrefix="cc2" %>
<%@ Register Assembly="obout_Grid_NET" Namespace="Obout.Grid" TagPrefix="cc1" %>
<%@ Register TagPrefix="cc1" Namespace="Obout.Interface" Assembly="obout_Interface" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<script language="javascript" type="text/javascript">
    function OnBeforeDelete(record) {
        if (confirm("Are you sure you want to delete the Course Topic with the name [" + record.name + "]?") == false) {
            return false;
        }
        return true;
    }
    function onGridSelect(arrSelectedRecords) {
        var cbo12 = document.getElementById('ctl00_ContentPlaceHolder1_ctl00_grid1_tplRowEdit_ctl00_cbo12');
        cbo12.setAttribute('value', arrSelectedRecords[0].name);
        cbo1.setValue(arrSelectedRecords[0].name);
        cbo1.setText(arrSelectedRecords[0].name);
        //alert(arrSelectedRecords[0].SupplierID + "  " + arrSelectedRecords[0].CompanyName)
        cbo1.close();

    }
    var flag = false;
    function onClientOpen() {
        try {
            if (!flag) {
                var grid = document.getElementById('grid_tmp_cont');
                var cont = document.getElementById('grid_inside_option');
                cont.appendChild(grid);
                grid.style.display = "";
                flag = true;
            }
        } catch (ex) { alert(ex); };
    }
</script>

<asp:ScriptManager ID="ScriptManager1" runat="server">
    <Services>
        <asp:ServiceReference Path="~/AutoComplete.asmx" />
    </Services>
</asp:ScriptManager>
<cc1:Grid ID="grid1" runat="server" AutoGenerateColumns="False" FolderStyle="~/elements/style/premiere_blue"
    RowEditTemplateId="tplRowEdit" DataSourceID="SqlDataSource1" OnInsertCommand="grid1_InsertCommand"
    Width="100%" AllowFiltering="true">
    <ClientSideEvents OnBeforeClientDelete="OnBeforeDelete" />
    <Columns>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="id" HeaderText="Id" Width="200px"
            Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtId" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="name" HeaderText="Course Topic"
            Width="34%">
            <TemplateSettings RowEditTemplateControlId="cbo12" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="CourseName" HeaderText="Course Name"
            Width="33%">
            <TemplateSettings RowEditTemplateControlId="ddlCourses" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="ObjName" HeaderText="Objective Name"
            Width="33%">
            <TemplateSettings RowEditTemplateControlId="ddlCourseObjectives" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="UserName" HeaderText="User Name"
            Width="120">
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="code" HeaderText="Code" Width="150px"
            Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtCode" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="durationType" HeaderText="Duration Type"
            Width="200px" Visible="false">
            <TemplateSettings RowEditTemplateControlId="ddlDurationType" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="duration" HeaderText="Duration"
            Width="100px" Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtDuration" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="exp" HeaderText="Explanation"
            Width="150px" Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtExp" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ConvertEmptyStringToNull="False" DataField="viewOrder" HeaderText="View Order"
            Width="0px" Visible="false">
            <TemplateSettings RowEditTemplateControlId="txtViewOrder" RowEditTemplateControlPropertyName="value" />
        </cc1:Column>
        <cc1:Column ID="Column1" AllowEdit="true" AllowDelete="true" HeaderText="Edit / Delete"
            Width="120" />
    </Columns>
    <TemplateSettings RowEditTemplateId="tplRowEdit" />
    <Templates>
        <cc1:GridTemplate runat="server" ID="tplRowEdit">
            <Template>
                <table class="rowEditTable">
                    <tr>
                        <td valign="top">
                            <fieldset style="width: 510px; height: 213px;">
                                <legend>Course Information</legend>
                                <table>
                                    <tr>
                                        <td>
                                            Course Objective Name:
                                        </td>
                                        <td>
                                            <cc1:OboutDropDownList runat="server" ID="ddlCourseObjectives" DataSourceID="SqlDataSourceCourseObjectives"
                                                DataValueField="id" DataTextField="name" CssClass="ob_gEC" Width="250" Height="50"
                                                AppendDataBoundItems="true">
                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Course Name:
                                        </td>
                                        <td>
                                            <cc1:OboutDropDownList runat="server" ID="ddlCourses" DataSourceID="SqlDataSourceCourses"
                                                DataValueField="id" DataTextField="name" CssClass="ob_gEC" Width="350" Height="50"
                                                AppendDataBoundItems="true">
                                                <asp:ListItem Text="Select..." Selected="True"></asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Name:
                                        </td>
                                        <td>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <cc2:Combobox runat="server" ID="cbo1" Width="15" InnerWidth="607" FolderStyle="~/elements/style/blueGray"
                                                            OnClientOpen="onClientOpen" Validate="false" AlignContainer="left">
                                                            <CustomOptions>
                                                                <cc2:Custom ID="Option1" runat="server">
                                                                    <div id="grid_inside_option">
                                                                    </div>
                                                                </cc2:Custom>
                                                            </CustomOptions>
                                                        </cc2:Combobox>
                                                    </td>
                                                    <td>
                                                        <cc1:OboutTextBox runat="server" ID="cbo12" Width="323" />
                                                        <ajaxToolkit:AutoCompleteExtender ID="AutoCompleteExtender1" runat="server" TargetControlID="cbo12"
                                                            ServicePath="~/AutoComplete.asmx" ServiceMethod="GetCoursesList" MinimumPrefixLength="2"
                                                            EnableCaching="true">
                                                        </ajaxToolkit:AutoCompleteExtender>
                                                    </td>
                                                </tr>
                                            </table>
                                            <div id="grid_tmp_cont" style="display: none;">
                                                <cc1:Grid ID="gridCombobox" runat="server" CallbackMode="true" Width="598" Serialize="true"
                                                    AllowRecordSelection="true" EnableRecordHover="true" AutoGenerateColumns="false"
                                                    AllowAddingRecords="false" DataSourceID="SqlDataSource1" AllowPageSizeSelection="false"
                                                    AllowPaging="false" AllowSorting="false" FolderStyle="~/elements/style/premiere_blue">
                                                    <ClientSideEvents OnClientSelect="onGridSelect" />
                                                    <Columns>
                                                        <cc1:Column ConvertEmptyStringToNull="False" DataField="name" HeaderText="Course Topic"
                                                            Width="34%" Wrap="true">
                                                        </cc1:Column>
                                                        <cc1:Column ConvertEmptyStringToNull="False" DataField="CourseName" HeaderText="Course Name"
                                                            Width="33%" Wrap="true">
                                                        </cc1:Column>
                                                        <cc1:Column ConvertEmptyStringToNull="False" DataField="ObjName" HeaderText="Objective Name"
                                                            Width="33%" Wrap="true">
                                                        </cc1:Column>
                                                    </Columns>
                                                </cc1:Grid>
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Code:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtCode" Width="250" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Duration:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtDuration" Width="50" />
                                            <cc1:OboutDropDownList runat="server" ID="ddlDurationType" CssClass="ob_gEC" Width="100"
                                                Height="52">
                                                <asp:ListItem Value="1">day</asp:ListItem>
                                                <asp:ListItem Value="7">week</asp:ListItem>
                                                <asp:ListItem Value="30">mounth</asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Explanation:
                                        </td>
                                        <td>
                                            <cc1:OboutTextBox runat="server" ID="txtExp" Width="250" TextMode="MultiLine" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Ranking:
                                        </td>
                                        <td>
                                            <cc1:OboutDropDownList runat="server" ID="txtViewOrder" CssClass="ob_gEC" Width="70"
                                                Height="100">
                                                <asp:ListItem Value="0">0</asp:ListItem>
                                                <asp:ListItem Value="1">1</asp:ListItem>
                                                <asp:ListItem Value="2">2</asp:ListItem>
                                                <asp:ListItem Value="3">3</asp:ListItem>
                                                <asp:ListItem Value="4">4</asp:ListItem>
                                                <asp:ListItem Value="5">5</asp:ListItem>
                                                <asp:ListItem Value="6">6</asp:ListItem>
                                                <asp:ListItem Value="7">7</asp:ListItem>
                                                <asp:ListItem Value="8">8</asp:ListItem>
                                                <asp:ListItem Value="9">9</asp:ListItem>
                                                <asp:ListItem Value="10">10</asp:ListItem>
                                            </cc1:OboutDropDownList>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                            <asp:Label runat="server" ID="txtId" Width="6" Enabled="false" />
                        </td>
                    </tr>
                </table>
            </Template>
        </cc1:GridTemplate>
    </Templates>
</cc1:Grid>
<asp:Label ID="Label1" runat="server" ForeColor="Red"></asp:Label>
<asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    DeleteCommand="UPDATE AcmeSoft.tblCourseTopics SET state = '6' WHERE id = @id"
    SelectCommand="SELECT AcmeSoft.tblCourseTopics.id, AcmeSoft.tblCourseTopics.courseId, AcmeSoft.tblCourseTopics.userId, AcmeSoft.tblCourseTopics.objectiveId, AcmeSoft.tblCourseTopics.name, AcmeSoft.tblCourseTopics.code, AcmeSoft.tblCourseTopics.exp, AcmeSoft.tblCourseTopics.duration, AcmeSoft.tblCourseTopics.durationType, AcmeSoft.tblCourseTopics.viewOrder, AcmeSoft.tblCourseTopics.state, AcmeSoft.tblCourseObjectives.name AS ObjName, AcmeSoft.tblCourses.name AS CourseName, aspnet_Users.UserName FROM AcmeSoft.tblCourseTopics INNER JOIN aspnet_Users ON AcmeSoft.tblCourseTopics.userId = aspnet_Users.UserId INNER JOIN AcmeSoft.tblCourseObjectives ON AcmeSoft.tblCourseTopics.objectiveId = AcmeSoft.tblCourseObjectives.id INNER JOIN AcmeSoft.tblCourses ON AcmeSoft.tblCourseTopics.courseId = AcmeSoft.tblCourses.id WHERE (ISNULL(AcmeSoft.tblCourseTopics.state, 0) <> 6)"
    InsertCommand="INSERT INTO AcmeSoft.tblCourseTopics(courseId, objectiveId, userId, name, code, durationType, duration, exp, viewOrder) VALUES (@CourseName, @ObjName @UserName, @name, @code, @durationType, @duration, @exp, @viewOrder)"
    UpdateCommand="UPDATE AcmeSoft.tblCourseTopics SET courseId = @CourseName, objectiveId = @ObjName, userId = @UserName, name = @name, durationType = @durationType, code = @code, duration = @duration, exp = @exp, viewOrder = @viewOrder WHERE id = @id">
    <DeleteParameters>
        <asp:Parameter Name="id" />
    </DeleteParameters>
    <UpdateParameters>
        <asp:Parameter Name="CourseName" />
        <asp:Parameter Name="ObjName" />
        <asp:Parameter Name="UserName" />
        <asp:Parameter Name="name" />
        <asp:Parameter Name="durationType" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="duration" />
        <asp:Parameter Name="exp" />
        <asp:Parameter Name="viewOrder" />
        <asp:Parameter Name="id" />
    </UpdateParameters>
    <InsertParameters>
        <asp:Parameter Name="CourseName" />
        <asp:Parameter Name="ObjName" />
        <asp:Parameter Name="UserName" />
        <asp:Parameter Name="name" />
        <asp:Parameter Name="code" />
        <asp:Parameter Name="durationType" />
        <asp:Parameter Name="duration" />
        <asp:Parameter Name="exp" />
        <asp:Parameter Name="viewOrder" />
    </InsertParameters>
</asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceCourses" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    SelectCommand="SELECT id, name FROM AcmeSoft.tblCourses"></asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceUsers" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    SelectCommand="SELECT UserId, UserName FROM aspnet_Users"></asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSourceCourseObjectives" runat="server" ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>"
    SelectCommand="SELECT id, name, exp FROM AcmeSoft.tblCourseObjectives"></asp:SqlDataSource>

