﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Collections;

namespace acmesoft.web
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_PreLoad(object sender, EventArgs e)
        {
            PlaceHolderControls.Controls.Clear();
        }
        protected void Page_Load(object sender, EventArgs e)
        {
            Application app = new Application();

            if (Page.User.Identity.Name == "" && Request.QueryString["AppId"] != "6f44544d-9cda-401f-b662-6d901c98b2d4")
            {
                System.Web.UI.UserControl usc = (System.Web.UI.UserControl)LoadControl("~/ascx/" + "Default.ascx");
                PlaceHolderControls.Controls.Add(usc);
            }
            else if (Session.Contents["USER_ID"] != null && Request.QueryString["AppId"] != null)
            {
                Hashtable Applications = (Hashtable)Session.Contents["APPLICATIONS"];
                System.Web.UI.UserControl usc = (System.Web.UI.UserControl)LoadControl("~" + Applications[Request.QueryString["AppId"].ToString()].ToString());
                PlaceHolderControls.Controls.Add(usc);
            }
            else if (Page.User.Identity.Name != null && Request.QueryString["AppId"] == null)
            {
                System.Web.UI.UserControl usc = (System.Web.UI.UserControl)LoadControl("~/ascx/" + "Login.ascx");
                PlaceHolderControls.Controls.Add(usc);
            }
            else if (Page.User.Identity.Name != null && Request.QueryString["AppId"] == "6f44544d-9cda-401f-b662-6d901c98b2d4")
            {
                System.Web.UI.UserControl usc = (System.Web.UI.UserControl)LoadControl("~/ascx/" + "Login.ascx");
                PlaceHolderControls.Controls.Add(usc);
            }
            else
            {
                System.Web.UI.UserControl usc = (System.Web.UI.UserControl)LoadControl("~/ascx/" + "Default.ascx");
                PlaceHolderControls.Controls.Add(usc);
            }
        }
    }
}
