﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Login.ascx.cs" Inherits="acmesoft.web.ascx.Login" %>
<%@ Register TagPrefix="cc1" Namespace="Obout.Interface" Assembly="obout_Interface" %>
<style type="text/css">
    .style1
    {
        height: 23px;
        font-family: Verdana;
        font-size: 9pt;
        color: #196585;
    }
    .labelStyle
    {
        vertical-align: middle;
        font-family: Verdana;
        font-size: 10pt;
        font-weight: bold;
        color: #196585;
        text-transform: capitalize;
    }
</style>
<div style="text-align: center; width: 100%;">
    <table style="text-align: center; width: 100%;">
        <tr>
            <td style="text-align: center;">
                <asp:LoginView ID="LoginView1" runat="server">
                    <AnonymousTemplate>
                        <asp:Login ID="Login1" runat="server" BorderColor="#376EA3" BorderStyle="Solid" BorderWidth="2px"
                            DestinationPageUrl="~/Default.aspx">
                            <LayoutTemplate>
                                <table border="0" cellpadding="1" cellspacing="0" style="border-collapse: collapse;">
                                    <tr>
                                        <td>
                                            <table border="0" cellpadding="0">
                                                <tr>
                                                    <td align="center" colspan="2" class="style1" style="background-color: #376EA3; color: #ffffff;
                                                        font-weight: bold;">
                                                        Log In
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="right">
                                                        <asp:Label ID="UserNameLabel" CssClass="labelStyle" runat="server" AssociatedControlID="UserName">User ID:</asp:Label>
                                                    </td>
                                                    <td>
                                                        <cc1:OboutTextBox ID="UserName" runat="server"></cc1:OboutTextBox>
                                                        <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName"
                                                            ErrorMessage="User Name is required." ToolTip="User Name is required." ValidationGroup="ctl00$Login1">*</asp:RequiredFieldValidator>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="right">
                                                        <asp:Label ID="PasswordLabel" runat="server" CssClass="labelStyle" AssociatedControlID="Password">Passwd:</asp:Label>
                                                    </td>
                                                    <td>
                                                        <cc1:OboutTextBox ID="Password" runat="server" TextMode="Password"></cc1:OboutTextBox>
                                                        <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password"
                                                            ErrorMessage="Password is required." ToolTip="Password is required." ValidationGroup="ctl00$Login1">*</asp:RequiredFieldValidator>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:CheckBox ID="RememberMe" runat="server" Text="Remember me." CssClass="style1" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="center" colspan="2" style="color: Red; font-family: Verdana; font-size: 7pt;">
                                                        <asp:Literal ID="FailureText" runat="server" EnableViewState="False"></asp:Literal>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="right" colspan="2">
                                                        <asp:Button ID="LoginButton" runat="server" CommandName="Login" Text="Log In" ValidationGroup="ctl00$Login1" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </LayoutTemplate>
                        </asp:Login>
                    </AnonymousTemplate>
                    <LoggedInTemplate>
                        <table style="width: auto; text-align: left;" cellpadding = "10" border = "1" >
                            <tr>
                                <td>
                                    User Name:
                                </td>
                                <td>
                                    <asp:Label ID="LabelUserName" CssClass="labelStyle" runat="server" Text=""></asp:Label><asp:LoginName
                                        ID="LoginName1" CssClass="labelStyle" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    Active Organization Name:
                                </td>
                                <td>
                                    <asp:Label ID="LabelActiveOrgName" CssClass="labelStyle" runat="server" Text=""></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    Role in this Organization:
                                </td>
                                <td>
                                    <asp:Label ID="LabelOrgRole" CssClass="labelStyle" runat="server" Text=""></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    User ID:
                                </td>
                                <td>
                                    <asp:Label ID="LabelUserId" CssClass="labelStyle" runat="server" Text=""></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    Active Organization ID:
                                </td>
                                <td>
                                    <asp:Label ID="LabelActiveOrgId" CssClass="labelStyle" runat="server" Text=""></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    Role ID:
                                </td>
                                <td>
                                    <asp:Label ID="LabelRoleId" CssClass="labelStyle" runat="server" Text=""></asp:Label>
                                </td>
                            </tr>
                        </table>
                    </LoggedInTemplate>
                </asp:LoginView>
            </td>
            <td style="text-align: center; width: 170px;">
            </td>
        </tr>
    </table>
</div>
